Subject: Re: Shell script performance
From: [email-masked] (Tim Iverson)

11 Dec 1997 17:57:01 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Kevin Hughes)
Cc: [email-masked]

If you're running stock b18, I'd guess stat(), not fork/exec (though
fork/exec is really slow, too).  Last I checked, stat() actual opens each
file and reads a few bytes to check for symbolic links.  IMHO, this is an
incredible waste of time, especially considering that W95/NT already has a
defined symbolic link standard (.lnk files).

I strongly suspect this has changed in b19 and probably Sergey's code, since
I recall that this whole topic was beaten to death and finally resolved
about 6 months ago.

- Tim Iverson
  iverson@lionheart-com


+----------------
| From: Kevin Hughes <[email-masked]>
| To: "Gnuwin95 (E-mail)" <[email-masked]>
| Subject: Shell script performance
| Date: Thu, 11 Dec 1997 13:51:39 -0000
| 
[paraphrased: cygwin32 bash is incredibly slow + some examples]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".